> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Issued Gift Cards

> List all issued gift cards with optional filtering.



## OpenAPI

````yaml get /billing/gift-cards/issued
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/gift-cards/issued:
    get:
      tags:
        - Gift Cards
      summary: List Issued Gift Cards
      description: List all issued gift cards with optional filtering.
      operationId: list_issued_gift_cards_billing_gift_cards_issued_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - asc
                  - desc
                type: string
              - type: 'null'
            title: Sort Direction
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: purchaser
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Purchaser
        - name: recipient
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Recipient
        - name: patient_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Patient Id
        - name: holder_patient_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Holder Patient Id
        - name: date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Date From
        - name: date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Date To
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_IssuedGiftCardSummary_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_IssuedGiftCardSummary_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/IssuedGiftCardSummary'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[IssuedGiftCardSummary]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IssuedGiftCardSummary:
      properties:
        id:
          type: string
          title: Id
        code:
          type: string
          title: Code
        initialValue:
          type: integer
          title: Initialvalue
        currentBalance:
          type: integer
          title: Currentbalance
        isActive:
          type: boolean
          title: Isactive
        status:
          $ref: '#/components/schemas/GiftCardStatus'
        purchasingPatientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Purchasingpatientid
        purchasingPatientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Purchasingpatientname
        recipientPatientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientpatientid
        recipientPatientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientpatientname
        recipientNote:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientnote
        createdDate:
          type: string
          format: date-time
          title: Createddate
        activatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Activatedat
      type: object
      required:
        - id
        - code
        - initialValue
        - currentBalance
        - isActive
        - status
        - createdDate
      title: IssuedGiftCardSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GiftCardStatus:
      type: string
      enum:
        - PENDING
        - ACTIVE
        - DISABLED
        - VOIDED
      title: GiftCardStatus

````